# Pearson Longman Dictionary


A ruby gem that wraps [Pearson dictionary API](http://developer.pearson.com/apis/dictionaries)
that retrieves:- word/object definitions, and country/famous person profiles.

For Live Demo> Use Twitter Bot - [@opentxtbook] (https://www.twitter.com/opentxtbook) - A Personal Learning Assistant
A #botally new way to #creativeLEARNINGdifferent! To 🚀launch, send Direct Message> !start

## Getting started

You can add it to your Gemfile with:

```ruby
gem 'pearsonlongman-dictionary'
```
or

You can install it directly

    gem install pearsonlongman-dictionary

and then require it
```ruby
    require 'pearsonlongman-dictionary'
```
## Usage

You can lookup a word definition by:

```ruby
results = DictionaryLookup::Base.define("hello")
```

results will contain an array of DictionaryLookup::Definition objects.
```ruby
results.count # => 1
results.first.headword # => "hello"
results.first.part_of_speech # => "noun"
results.first.denotation # => "used as a greeting when you see or meet someone"
results.first.examples # => ["Hello, John! How are you?"]
```

You can specify different dictionary by passing `dictionary` in config hash. List of available dictionaries could be found [here](http://developer.pearson.com/apis/dictionaries#!//listDictionaryEntries)

```ruby
results = DictionaryLookup::Base.define("hello", {dictionary: "wordwise"})
```
